Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Advanced Camera requires upgrade

Discussion in 'Phantom 3 Help' started by CC8877, Mar 21, 2016.

  1. CC8877

    Joined:
    Mar 21, 2016
    Messages:
    24
    Likes Received:
    0
    Hi.
    Have searched the forum and found some other with this issue in the past. But I don't understand if I need to give back my phantom for service or I can ignore the message or maybe there is a procedure to clean the error message.
    In the image you can see the error, but I don't have any chance to update. I have the latest aircraft firmware, latest RC, latest APP. No problem during flight or taking photos or recording video both with DJI GO and Autopilot.

    Have to ignore and go ahead? Thanks for any advice or help.
    [file]Camera Requires Upgrade|none[/file]
     
  2. marzipana

    Joined:
    Jan 9, 2016
    Messages:
    290
    Likes Received:
    33
    This happened to me today after I downgraded back to 1.6. So after putting 1.7 back on the message disappeared. No idea what the cause was though


    Sent from my iPhone using PhantomPilots mobile app
     
  3. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    19,115
    Likes Received:
    5,629
    Location:
    US
    Which versions do you see listed in the "About" section of DJI GO?

    The DJI GO app will always alert you of new firmware when you're running an old version.
     
  4. CC8877

    Joined:
    Mar 21, 2016
    Messages:
    24
    Likes Received:
    0
    Have to check. For sure after the update 1.7 etc. Yesterday 1.6.40+ or similar. But have to check and to be sure. I will give you the info later I'm out of studio now.
     
  5. CC8877

    Joined:
    Mar 21, 2016
    Messages:
    24
    Likes Received:
    0
    Thank you very much. It appeared to me three days after upgrade to the new firmware. And don't know what to do. Downgrade to 1.6 and then update to 1.7 to see if resolve or do nothing
     
  6. marzipana

    Joined:
    Jan 9, 2016
    Messages:
    290
    Likes Received:
    33
    It told me that a camera update was required - first it said new firmware update was required, and when I clicked on that, it just said camera update required. But 1.7 wasn't about the camera, or was it? I just went back to 1.7, did a cold IMU and gimbal calibration. I'll do the compass when I head out next.


    Sent from my iPhone using PhantomPilots mobile app
     
  7. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    19,115
    Likes Received:
    5,629
    Location:
    US
    That message means a firmware update is available for your Phantom -- which is accurate in your case.
     
  8. marzipana

    Joined:
    Jan 9, 2016
    Messages:
    290
    Likes Received:
    33
    Ah okay...Not related but an odd thing it did while I was indoors was give me the green "safe to fly" message. Usually in the past I get the orange notice when I'm inside, never had the green one before. That went away after I went back to 1.7 and was about to calibrate the IMU.


    Sent from my iPhone using PhantomPilots mobile app
     
  9. rockydog

    Joined:
    May 25, 2015
    Messages:
    884
    Likes Received:
    251
    Location:
    London UK
    Slightly off topic, but in the screen shot above, what mode are you in to bring up the icon of the controller circled in blue?
     
  10. CC8877

    Joined:
    Mar 21, 2016
    Messages:
    24
    Likes Received:
    0
    Mmm... maybe after using Autopilot and then DJI GO to take the screenshot of the error I was in 'F' mode...
     
  11. CC8877

    Joined:
    Mar 21, 2016
    Messages:
    24
    Likes Received:
    0
    msinger sorry for the late response but I was out of my studio.

    In the image below the about screenshot:

    [file]Phantom3 About|none[/file]
     
  12. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    19,115
    Likes Received:
    5,629
    Location:
    US
    It doesn't look like you have 1.7 installed on your Phantom. Try installing it again.
     
  13. CC8877

    Joined:
    Mar 21, 2016
    Messages:
    24
    Likes Received:
    0
    Hi thank you very much. It tell 1.6.40+ but if you look on official forum many people has 1.6.40+. It seems it depends if you are connected to wifi network or not.
    Don't know if it's allowed but you can see here: DJI Forum|Phantom 3 Series firmware update

    I'm pretty sure the first time I have upgraded it showed 1.7 then it start to show 1.6.40+.

    Anyway, today I try to re-install 1.7 and see what happen.
     
  14. CC8877

    Joined:
    Mar 21, 2016
    Messages:
    24
    Likes Received:
    0
    DJI support answered me to re-install FW upgrade 1.7.

    I will let you know in the evening. Thanks a lot for your support.
     
  15. CC8877

    Joined:
    Mar 21, 2016
    Messages:
    24
    Likes Received:
    0
    @msinger thank you very much for your support. Yesterday evening I have re-insalled the 1.7 firmware. After it, the error message has gone.